POST
/
v2
/
market
/
facets
Get cross-filtered market facets
curl --request POST \
  --url https://api-v2.watchcollect.com/v2/market/facets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "brands": [
    {
      "value": "<string>",
      "count": 123
    }
  ],
  "conditions": [
    {
      "value": "<string>",
      "count": 123
    }
  ],
  "years": [
    {
      "value": 123,
      "count": 123
    }
  ],
  "dial_types": [
    {
      "value": "<string>",
      "count": 123
    }
  ],
  "variants": [
    {
      "value": "<string>",
      "count": 123
    }
  ],
  "full_set_status": [
    {
      "value": "<string>",
      "count": 123
    }
  ],
  "country_codes": [
    {
      "value": "<string>",
      "count": 123
    }
  ],
  "groups": [
    {
      "value": "<string>",
      "count": 123
    }
  ],
  "price_range": {
    "currency": "EUR",
    "min_minor": 123,
    "max_minor": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
view_id
string<uuid>

Saved view filters are combined with request filters using AND semantics.

filters
object

Flexible market filter grammar. Documented fields are typed; additional fields are tolerated for forward-compatible frontend experiments and ignored until implemented.

sort
object[]

The current implementation applies the first sort item and falls back to newest listing activity.

page_size
integer
default:50
Required range: 1 <= x <= 200
cursor
string
display_currency
string
Required string length: 3
Example:

"USD"

include
enum<string>[]
Available options:
summary,
facets

Response

Cross-filtered market facets.

brands
object[]
required
conditions
object[]
required
years
object[]
required
dial_types
object[]
required
variants
object[]
required
full_set_status
object[]
required
country_codes
object[]
required
groups
object[]
required
price_range
object
required